/* #region variables */
:root {
    --var-color-primario: #002c3d;
    --var-color-secundario: #003e57;
    --var-color-terciario: #008fc7;
    --var-color-cuarto: #006a94;
    --var-verde: #008000;
    --var-rojo: #800000;
}
/* #endregion */
/* #region general */
* {
    font-family: Rubik !important;
    color: white;
}
input, select, option {
    color: #333333;
}
body {
    background-color: var(--var-color-primario);
}
.titulo {
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 20px;
    text-align: center;
}
input {
    color: #333333
}
.btn {
    display: block;
    width: 100%;
    max-width: 300px;
    line-height: 45px;
    border: none;
    border-radius: 16px;
    text-align: center;
    transition-duration: 0.3s;
    color: white !important;
    font-weight: 600;
}
.btn-primario {
    background-color: var(--var-color-terciario);
}
.btn-secundario {
    background-color: var(--var-color-cuarto);
}
.btn:hover {
    background-color: var(--var-color-secundario);
}
.img-user {
    width: 100px;
    margin: auto;
    height: 100px;
    object-fit: cover;
    border-radius: 50%;
}
.container-titulo-btns {
    display: flex;
    gap: 20px;
    justify-content: space-between;
    flex-wrap: wrap;
}
.container-titulo-btns .container-btns {
    display: flex;
    gap: 10px;
    justify-content: space-between;
}
.container-titulo-btns .container-btns .btn {
    padding: 5px 20px;
}
.nombre-pos {
    padding: 2px 10px;
    border-radius: 12px;
    width: fit-content;
    margin-bottom: 2px;
}
.nombre-pos-1 {background-color: #9d8b00;}
.nombre-pos-2 {background-color: #093d00;}
.nombre-pos-3 {background-color: #001988;}
.nombre-pos-4 {background-color: #700000;}
.container {
    padding: 100px 15px;
}
.preview-img {
    width: 100px;
    height: 75px;
    object-fit: contain;
}
.preview-img-jugador {
    max-width: 75px;
    border-radius: 50%;
}
.container-liga {
    display: flex;
    gap: 30px;
    border: 2px solid #333333;
    border-radius: 12px;
    padding: 20px;
    background-color: #33333377;
    margin-top: 30px;
    text-decoration: none !important;
}
.container-liga .nombre-liga {
    height: fit-content;
    margin: auto 0;
    font-weight: 600;
    font-size: 30px;
    width: 100%;
    -webkit-line-clamp: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}
.input-error {
    border: red 2px solid;
    box-shadow: 0px 0px 27px 7px red;
}
center .texto-gracias a {
    color: white;
    text-decoration: underline;
}
.volver {
    color: white !important;
    text-decoration: none !important;
    margin-bottom: 20px;
    display: block;
    background-color: var(--var-color-cuarto);
    width: fit-content;
    padding: 10px 20px;
    border-radius: 12px;
    font-weight: 600;
    transition-duration: 0.3s;
}
.volver:hover {
    background-color: var(--var-color-secundario);
}
.modal .modal-content {
    border-radius: 8px;
}
.modal .modal-content .modal-header, .modal .modal-content .modal-body, .modal .modal-content .modal-footer {
    background-color: var(--var-color-primario);
}
.modal .modal-content .modal-footer {
    border-radius: 0 0 5px 5px;
    padding: 0px 30px 30px;
}
.modal .modal-content .modal-header, .modal .modal-content .modal-footer {
    border: none;
}
.modal .modal-dialog {
    max-width: 1110px;
}
.modal .close {
    opacity: 1;
    color: white;
    font-weight: 300;
    font-size: 40px;
    line-height: 30px;
}
.container-mercado .container-jugador, .container-jugadores .container-jugador, .container-listado-jugadores .container-jugador {
    cursor: pointer;
}
i.mini-txt {
    font-size: 13px;
}
@media(max-width: 767px) {
    .hidden-xs {
        display: none;
    }
}
@media(max-width: 991px) and (min-width: 768px) {
    .hidden-sm {
        display: none;
    }
}
@media(max-width: 1199px) and (min-width: 992px) {
    .hidden-md {
        display: none;
    }
}
@media(min-width: 1200px) {
    .hidden-lg {
        display: none;
    }
}
/* #endregion */
/* #region menu */
.container-menu-toggle {
    background-color: var(--var-color-secundario);
    position: fixed;
    top: 25px;
    left: 25px;
    border-radius: 12px;
    font-weight: 300;
    width: 65px;
    height: 65px;
    text-align: center;
    cursor: pointer;
    padding: 0;
    display: flex;
}
.container-menu-toggle img {
    margin: auto;
    width: 50px;
}
.menu {
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    left: -100%;
    transition-duration: 0.3s;
    z-index: 5;
}
.menu.show {
    left: 0%;
}
.menu center {
    cursor: pointer;
}
.container-menu {
    background-color: var(--var-color-secundario);
    width: 100%;
    max-width: 350px;
    height: 100%;
    position: relative;
    padding: 50px 15px 0;
    overflow-y: auto;
}
.container-block-menu {
    width: calc(100% - 350px);
    background: #00000033;
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    cursor: pointer;
}
.close-menu {
    position: absolute;
    top: 0;
    right: 20px;
    font-size: 40px;
    cursor: pointer;
}
.container-menu a {
    display: block;
    position: relative;
    color: white;
    font-size: 20px;
    width: fit-content;
}
.container-menu a::before {
    content: "";
    position: absolute;
    background-color: white;
    width: 0%;
    left: 0;
    bottom: -2px;
    height: 2px;
    transition-duration: 0.3s;
}
.container-menu a:hover::before {
    width: calc(100% + 10px);
}
.container-menu a:hover {
    text-decoration: none;
}
.container-menu .desplegable {
    color: white;
    font-size: 20px;
    width: 100%;
}
.container-menu .desplegable .container-desplegable {
    padding-left: 15px;
    display: none;
}
.container-menu .desplegable a {
    color: white;
    font-size: 18px;
    width: fit-content;
    margin-top: 10px;
}
.menu .desplegable .titulo-desplegable {
    cursor: pointer;
}
.container-mail-notificacion {
    position: fixed;
    top: 25px;
    left: 115px;
    width: 65px;
    height: 65px;
    display: flex;
    justify-content: center;
    background: var(--var-color-secundario);
    border-radius: 12px;
    cursor: pointer;
}
.container-mail-notificacion.hay-notificacion::after {
    content: " ";
    position: absolute;
    right: -5px;
    top: -5px;
    background-color: var(--var-verde);
    width: 15px;
    height: 15px;
    border-radius: 50%;
    transition-duration: 0.3s;
}
.container-mail-notificacion img {
    width: 100%;
    max-width: 35px;
}
/* #endregion */
/* #region container form */
.container-form {
    background: #006a9477;
    border-radius: 12px;
    padding: 15px 20px;
    margin-top: 30px;
}
.container-form label .txt {
    font-weight: 500;
    margin-bottom: 5px;
    font-size: 18px;
}
.container-form label .form-control {
    margin-bottom: 10px;
}
.container-form label .btn {
    max-width: unset;
    margin-top: 12px;
}
.container-form .container-btns-buscar-trash {
    display: flex;
    gap: 10px;
    height: calc(100% - 10px);
}
.container-form .container-btns-buscar-trash a {
    display: flex;
    height: 57px;
    margin-top: auto;
    background: var(--var-color-terciario);
    padding: 10px;
    border-radius: 12px;
}
/* #endregion */

@media(max-width: 600px) {
    h1 {
        font-size: 2rem;
    }
    .container-liga {
        padding: 10px;
        gap: 10px;
    }
    .container-liga .nombre-liga {
        font-size: 20px;
    }
    .container-liga .preview-img {
        border-radius: 12px;
        width: 65px;
        height: 65px;
    }
}
@media(max-width: 575px) {
    .container-menu-toggle {
        left: 15px;
        width: 50px;
        height: 50px;
        padding: 5px;
    }
    .container-mail-notificacion {
        left: 80px;
        width: 50px;
        height: 50px;
        padding: 10px;

    }
}
@media(max-width: 475px) {
    .nombre-pos {
        padding: 2px 5px;
        font-size: 12px;
    }
}